/* Style do komponentów JS */
@import url(variables.css);

#root{
    position: fixed;
    width: 100%;
    z-index: 100;
}

.header{
    display: flex;
    /* background-color: green; */
    justify-content: space-between;
    max-width: 1280px;
    margin: 15px auto;
    padding: 0 20px;
    gap: 40px;
    z-index: 100;
}

.header__img{
    display: block;
    width: auto;
    height: 60px;
}

.nav{
    /* background-color: blue; */
    width: 100%;
    max-width: 800px;
    display: flex;
    align-items: center;
    text-transform: uppercase;
}

.nav__ul{
    display: flex;
    list-style-type: none;
    justify-content: space-between;
    width: 100%;
    /* gap: 60px; */
    font-size: 20px;
}

.nav__li{
    position: relative;
    height: 30px;
    transform: translateY(5px);
}

.nav__a{
    color: white;
    text-decoration: none;
    position: relative;
    font-family: 'All Round Gothic';
}

.nav__a--underline::after{
    position: absolute;
    content: "";
    height: 2px;
    background-color: var(--main-color);
    left: 0;
    bottom: -14px;
    transition: ease-in 100ms;
    width: 100%;
    transform: scaleX(0);
    border-radius: 14px;
}

.nav__a--underline:hover::after{
    transform: scaleX(1.2);
}

.nav__submenu {
    position: absolute;
    list-style-type: none;
    width: 250px;
    left: 50%;
    transform: translateX(-50%);
    border-left: 3px solid var(--main-color);
    background-color: rgba(0,0,0, 0.3);
    border-radius: 5px;
    pointer-events: none;
    opacity: 0;
    top: 60px;
    transition: ease 300ms;
    font-size: 17px;
    backdrop-filter: blur(5px);
    color: #FFF;
    border-right: 3px solid var(--main-color);
}

.nav__li:hover .nav__submenu{
    pointer-events: all;
    top: 30px;
    opacity: 1;
}

.nav__submenu--li{
    text-align: center;
    padding: 8px 20px;
}

.nav__submenu--a{
    color: white;
    text-decoration: none;
    transition: 300ms;
}

.nav__submenu--a:hover{
    color: var(--main-color)
}


.footer{
    background-image: url(../img/footer_bg.jpg);
    background-size: cover;
    background-position: top;
    background-repeat: no-repeat;
    padding: 40px 0px;
    max-width: 100vw;
    overflow: hidden;
}

.footer__section{
    min-width: fit-content;
}

.footer__container{
    display: flex;
    max-width: 1360px;
    margin: 0 auto;
    padding: 0px 40px;
}

.footer__links{
    display: flex;
    height: 100%;
    color: white;
    width: 100%;
    max-width: 1200px;
    justify-content: space-between;
    gap: 40px;
}

.footer__h4{
    font-family: 'AvantGardeITC';
    font-size: 25px;
    color: #fff;
    border-bottom: 1px solid #999;
    padding-bottom: 10px;
    margin-bottom: 10px;
    min-width: 200px;
}

.footer__ul{
    list-style-type: none;
    display: grid;
    grid-template-rows: repeat(2, auto);
    grid-auto-flow: column;
    grid-auto-columns: minmax(80px, auto);
    gap: 10px 30px;
}

.footer__a{
    font-size: 20px;
    text-decoration: none;
    font-family: 'AvantGardeITC_book';
    color: #ccc;
    transition: color 300ms;
}

.footer__a:hover{
    text-decoration: underline;
    color: #fff;
}

.footer__h2{
    color: #aaa;
    font-size: 20px;
    font-family: 'AvantGardeITC_book';
    font-weight: normal;
    width: 100%;
    align-self: center;
    text-align: right;
}

.nav--mobile{
    display: none;
    position: fixed;
    width: 100vw;
    background-color: var(--main-color);
    top: 0;
    left: 100vw;
    transition: left 300ms;
    min-height: 80vh;
    text-align: right;
}

.nav__ul--mobile{
    list-style-type: none;
    max-width: 100%;
    margin: 0 auto;
    text-align: center;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.nav__li--mobile{
    width: 100%;
    font-size: 30px;
    transition: 300ms;
}

.nav__li--mobile:hover{
    background-color: hsl(334, 99%, 40%);
}


.nav__a--mobile{
    display: block;
    width: 100%;
    text-decoration: none;
    color: white;
}

.nav__submenu--mobile{
    height: 0px;
    background-color: white;
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    list-style-type: none;
    overflow: hidden;
}

.nav__submenu--mobile.active{
    height: fit-content;
}

.nav__subLi--mobile{
    font-size: 25px;
    transition: 300ms;
}

.nav__subLi--mobile:hover{
    background-color: #eee;
}

.nav__subA--mobile{
    display: block;
    padding: 8px 0;
    width: 100%;
    text-decoration: none;
    color: var(--main-color);
}

.burger{
    display: none;
    align-self: center;
    justify-self: center;
    cursor: pointer;
}

.burger > span{
    display: block;
    background-color: white;
    height: 3px;
    margin: 8px 0px;
    width: 40px;
    border-radius: 2px;
}

.nav__hideButton--mobile{
    color: white;
    font-size: 30px;
    margin: 10px;
    margin-right: 20px;
    margin-left: auto;
    display: inline-block;
    cursor: pointer;
    font-family: "All Round Gothic Book";
}

@media only screen and (max-width: 1024px) {
    .footer__links{
        gap: 50px;
        flex-wrap: nowrap;
        width: 100%;
        justify-content: space-between;
    }

    .footer__container{
        flex-wrap: wrap;
    }

    .footer__section{
        width: 100%;
    }

    .footer__h2{
        text-align: center;
        margin-top: 40px;
    }

    .footer{
        padding: 40px 40px;
    } 

    .nav{
        display: none;
    }

    .nav--mobile{
        display: block;
    }

    .burger{
        display: block;
    }


}

@media only screen and (max-width: 768px){

    .footer__links{
        flex-wrap: wrap;
    }

    .footer{
        padding: 20px 20px;
    }

    .footer__container{
        padding: 0px;
    }
}